using System.Collections.Generic;
using EscapeRoomEngine.Engine.Runtime.Modules;
using UnityEngine;

namespace EscapeRoomEngine.Engine.Runtime.Requirements
{
    /// <summary>
    /// This requirement allows any placement. Used for testing purposes.
    /// </summary>
    [CreateAssetMenu(menuName = "Requirements/Place Anywhere")]
    public class PlaceAnywhere : PlacementRequirement
    {
        protected override List<Placement> FilterCandidates(List<Placement> candidates, Module module, Space space)
        {
            return candidates;
        }
    }
}